LIVESCRIPT(1)

NAME
LiveScript - manual page for LiveScript version 1.6.1

SYNOPSIS
lsc [option]... [file]...

DESCRIPTION
Use 'lsc' with no options to start REPL.

  Misc:

-v, --version
    display version

-h, --help
    display this help message

-c, --compile
    compile to JavaScript and save as .js files

-e, --eval code::String
    pass as string from the command line as input

-d, --prelude
    automatically import prelude.ls in REPL

-r, --require paths::[String]
    require libraries before executing

-s, --stdin
    read stdin

-j, --json
    print/compile as JSON

-n, --nodejs
    pass options after this through to the 'node' binary

-w, --watch
    watch scripts for changes, and repeat

-k, --const
    compile all variables as constants

  Output control:

-o, --output path::String
    compile into the specified directory

-p, --print
    print the result to stdout

-b, --bare
    compile without the top-level function wrapper

--no-header
    do not add "Generated by" header

-l, --lex
    print the tokens the lexer produces

-t, --tokens
    print the tokens the rewriter produces

-a, --ast
    print the syntax tree the parser produces

--debug
    print debug output when compiling

-m, --map String
    generate source maps - either: 'none', 'linked', 'linked-src', 'embedded', or 'debug'

--no-warn
    suppress compiler warnings

Version 1.6.1 <http://livescript.net/>